Flushes/writes buffer of the LOB to the server

- « OCILob::export

- OCILob::free »

- PHP Manual
- OCILob
- Flushes/writes buffer of the LOB to the server

# OCILob::flush

(PHP 5, PHP 7, PHP 8, PECL OCI8 >= 1.1.0)

OCILob::flush — Flushes/writes buffer of the LOB to the server

### Description

public OCILob::flush(int `$flag` = 0): bool

OCILob::flush() actually writes data to the server.

### Parameters

`flag`

  By default, resources are not freed, but using flag `OCI_LOB_BUFFER_FREE` you can do it explicitly. Be sure you know what you're doing - next read/write operation to the same part of LOB will involve a round-trip to the server and initialize new buffer resources. It is recommended to use `OCI_LOB_BUFFER_FREE` flag only when you are not going to work with the LOB anymore.

### Return Values

Returns `true` on success or `false` on failure.

Returns `false` if buffering was not enabled or an error occurred.

### Changelog

Version | Description
--- | ---
8.0.0, PECL OCI8 3.0.0 | The OCI-Lob class was renamed to OCILob to align with PHP naming standards.

### See Also

- OCILob::getBuffering
- OCILob::setBuffering